package com.bonus.canteen.core.nutrition.common.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.time.LocalDateTime;

@TableName("health_catering")
@ApiModel("人员营养配餐")
public class HealthCatering {
   @TableId
   @ApiModelProperty("主键id")
   private Long id;
   @ApiModelProperty("人员营养配餐id")
   private Long healthCateringId;
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("指导营养师id")
   private Long adviserId;
   @ApiModelProperty("指导营养师id")
   @TableField(
      exist = false
   )
   private String adviserName;
   @ApiModelProperty("执行模式: 1- 以星期为单位重复 2-指定星期")
   private Integer exeMode;
   @ApiModelProperty("是否可见: 1-是,2否")
   private Integer ifVisible;
   @ApiModelProperty("执行开始日期 yyyy-MM-dd")
   private LocalDate exeStartDate;
   @ApiModelProperty("执行结束日期 yyyy-MM-dd")
   private LocalDate exeEndDate;
   @ApiModelProperty("删除标识")
   private Integer delFlag;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getId() {
      return this.id;
   }

   public Long getHealthCateringId() {
      return this.healthCateringId;
   }

   public Long getCustId() {
      return this.custId;
   }

   public Long getAdviserId() {
      return this.adviserId;
   }

   public String getAdviserName() {
      return this.adviserName;
   }

   public Integer getExeMode() {
      return this.exeMode;
   }

   public Integer getIfVisible() {
      return this.ifVisible;
   }

   public LocalDate getExeStartDate() {
      return this.exeStartDate;
   }

   public LocalDate getExeEndDate() {
      return this.exeEndDate;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setHealthCateringId(final Long healthCateringId) {
      this.healthCateringId = healthCateringId;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setAdviserId(final Long adviserId) {
      this.adviserId = adviserId;
   }

   public void setAdviserName(final String adviserName) {
      this.adviserName = adviserName;
   }

   public void setExeMode(final Integer exeMode) {
      this.exeMode = exeMode;
   }

   public void setIfVisible(final Integer ifVisible) {
      this.ifVisible = ifVisible;
   }

   public void setExeStartDate(final LocalDate exeStartDate) {
      this.exeStartDate = exeStartDate;
   }

   public void setExeEndDate(final LocalDate exeEndDate) {
      this.exeEndDate = exeEndDate;
   }

   public void setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
   }

   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

}
